Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LevelEditorUIBase Class Reference
Inheritance diagram for LevelEditorUIBase:

## Public Member Functions
| __init__ (self, editor)
| bindKeyEvents (self, toBind=True)
| buildContextMenu (self, nodePath)
| createInterface (self)
| createMenu (self)
| onAnimation (self, e)
| onCreateCurve (self, e)
| onCurveAnim (self, e)
| onDestroy (self, evt)
| onDuplicate (self, evt)
| onEditCurve (self, e)
| onExportToMaya (self, evt)
| onGraphEditor (self, e)
| onGridSize (self, evt)
| onHotKeys (self, evt)
| onKeyDownEvent (self, evt)
| onKeyEvent (self, evt)
| onKeyUpEvent (self, evt)
| onMakeLive (self, evt)
| onNew (self, evt=None)
| onOpen (self, evt=None)
| onRightDown (self, evt=None)
| onSave (self, evt=None)
| onSaveAs (self, evt)
| onShowPandaObjects (self, evt)
| replaceObject (self, evt, all=False)
| reset (self)
| toggleGrid (self, evt)
| toggleGridSnap (self, evt)
| updateGrids (self, newSize, newSpacing)
| updateMenu (self)
Public Member Functions inherited from WxPandaShell
| __init__ (self, fStartDirect=False)
| appInit (self)
| getCurrentView (self)
| initialize (self)
| onViewChange (self, evt, viewIdx)
| wxStep (self, task=None)
Public Member Functions inherited from WxAppShell
| __init__ (self, *args, **kw)
| createMenuBar (self)
| quit (self, event=None)
| showAbout (self, event)

## Public Attributes
| animUI = AnimControlUI(self, self.editor)
| contextMenu = ViewportMenu()
| createCurveMenuItem = self.menuCurve.Append(ID_CREATE_CURVE, self.MENU_TEXTS[ID_CREATE_CURVE][0], kind = wx.ITEM_CHECK)
| curveAnimMenuItem = self.menuCurve.Append(ID_CURVE_ANIM, self.MENU_TEXTS[ID_CURVE_ANIM][0], kind = wx.ITEM_CHECK)
| curveAnimUI = CurveAnimUI(self, self.editor)
| curveObj = self.editor.objectMgr.findObjectByNodePath(base.direct.selected.last)
| editAnimMenuItem = self.menuAnim.Append(ID_ANIM, self.MENU_TEXTS[ID_ANIM][0], kind = wx.ITEM_CHECK)
| editCurveMenuItem = self.menuCurve.Append(ID_EDIT_CURVE, self.MENU_TEXTS[ID_EDIT_CURVE][0], kind = wx.ITEM_CHECK)
| editor = editor
| graphEditorMenuItem = self.menuAnim.Append(ID_GRAPH, self.MENU_TEXTS[ID_GRAPH][0], kind = wx.ITEM_CHECK)
| graphEditorUI = GraphEditorUI(self, self.editor, currentObj)
| gridSizeMenuItem = self.menuOptions.Append(ID_GRID_SIZE, self.MENU_TEXTS[ID_GRID_SIZE][0])
| gridSnapMenuItem = self.menuOptions.Append(ID_GRID_SNAP, self.MENU_TEXTS[ID_GRID_SNAP][0], kind = wx.ITEM_CHECK)
| hotKeysMenuItem = self.menuOptions.Append(ID_HOT_KEYS, self.MENU_TEXTS[ID_HOT_KEYS][0])
| layerEditorUI = LayerEditorUI(self.rightBarDownPane0, self.editor)
| leftBarDownNB = wx.Notebook(self.leftBarDownPane)
| leftBarDownPane0 = wx.Panel(self.leftBarDownNB, -1)
| leftBarUpNB = wx.Notebook(self.leftBarUpPane, style=wx.NB_BOTTOM)
| leftBarUpPane0 = wx.Panel(self.leftBarUpNB, -1)
| leftBarUpPane1 = wx.Panel(self.leftBarUpNB, -1)
| menuAnim = wx.Menu()
| menuCurve = wx.Menu()
| menuEdit = wx.Menu()
| menuOptions = wx.Menu()
| objectPaletteUI = ObjectPaletteUI(self.leftBarUpPane0, self.editor)
| objectPropertyUI = ObjectPropertyUI(self.rightBarUpPane, self.editor)
| onAnimation
| onCreateCurve
| onCurveAnim
| onDuplicate = self.menuEdit.Append(ID_DUPLICATE, self.MENU_TEXTS[ID_DUPLICATE][0])
| onEditCurve
| onExportToMaya = self.menuFile.Insert(4, ID_EXPORT_TO_MAYA, self.MENU_TEXTS[ID_EXPORT_TO_MAYA][0])
| onGraphEditor
| onGridSize
| onHotKeys
| onKeyDownEvent
| onKeyEvent
| onKeyUpEvent
| onMakeLive = self.menuEdit.Append(ID_MAKE_LIVE, self.MENU_TEXTS[ID_MAKE_LIVE][0])
| onNew
| onOpen = self.menuFile.Insert(1, ID_OPEN, self.MENU_TEXTS[ID_OPEN][0])
| onSave = self.menuFile.Insert(2, ID_SAVE, self.MENU_TEXTS[ID_SAVE][0])
| onSaveAs = self.menuFile.Insert(3, ID_SAVE_AS, self.MENU_TEXTS[ID_SAVE_AS][0])
| onShowPandaObjects
| parentToSelectedMenuItem = self.menuOptions.Append(ID_PARENT_TO_SELECTED, self.MENU_TEXTS[ID_PARENT_TO_SELECTED][0], kind = wx.ITEM_CHECK)
| protoPaletteUI = ProtoPaletteUI(self.leftBarUpPane1, self.editor)
| rightBarDownNB = wx.Notebook(self.rightBarDownPane)
| rightBarDownPane0 = wx.Panel(self.rightBarDownNB, -1)
| sceneGraphUI = SceneGraphUI(self.leftBarDownPane0, self.editor)
| showGridMenuItem = self.menuOptions.Append(ID_SHOW_GRID, self.MENU_TEXTS[ID_SHOW_GRID][0], kind = wx.ITEM_CHECK)
| showPandaObjectsMenuItem = self.menuOptions.Append(ID_SHOW_PANDA_OBJECT, self.MENU_TEXTS[ID_SHOW_PANDA_OBJECT][0], kind = wx.ITEM_CHECK)
| toggleGrid
| toggleGridSnap
Public Attributes inherited from WxPandaShell
| baseFrame = wx.SplitterWindow(self.mainFrame, style = wx.SP_3D | wx.SP_BORDER)
| currentView = None
| evtLoop = wx.EventLoop()
| frontView = Viewport.makeFront(self.viewFrame)
| fStartDirect = fStartDirect or fDirect
| leftBarDownPane = wx.Panel(self.leftFrame)
| leftBarUpPane = wx.Panel(self.leftFrame)
| leftFrame = wx.SplitterWindow(self.mainFrame, style = wx.SP_3D | wx.SP_BORDER)
| leftView = Viewport.makeLeft(self.viewFrame)
| mainFrame = wx.SplitterWindow(self, style = wx.SP_3D | wx.SP_BORDER)
| menuView = wx.Menu()
| oldLoop = wx.EventLoop.GetActive()
| perspView = Viewport.makePerspective(self.viewFrame)
| perspViewMenuItem = self.menuView.AppendRadioItem(ID_PERSP_VIEW, self.MENU_TEXTS[ID_PERSP_VIEW][0])
| rightBarDownPane = wx.Panel(self.rightFrame)
| rightBarUpPane = wx.Panel(self.rightFrame)
| rightFrame = wx.SplitterWindow(self.baseFrame, style = wx.SP_3D | wx.SP_BORDER)
| topView = Viewport.makeTop(self.viewFrame)
| viewFrame = FWS.FourWaySplitter(self.baseFrame, style=wx.SP_LIVE_UPDATE)
| wxApp = wx.App(redirect = False)
| wxStep
Public Attributes inherited from WxAppShell
| about
| menuBar = wx.MenuBar()
| menuFile = wx.Menu()
| menuHelp = wx.Menu()
| quit = self.menuFile.Append(wx.ID_EXIT, "&Quit")
| showAbout = self.menuHelp.Append(wx.ID_ABOUT, "&About...")

## Additional Inherited Members
Static Public Attributes inherited from WxPandaShell
dict | MENU_TEXTS
Static Public Attributes inherited from WxAppShell
str | appname = 'Generic Application Frame'
str | appversion = '1.0'
str | balloonState = 'none'
str | contactemail = 'Gyedo.Jeon@disney.com'
str | contactname = 'Gyedo Jeon'
tuple | copyright
int | frameHeight = 320
int | frameWidth = 450
int | padx = 5
int | pady = 5
int | panelCount = 0
int | usecommandarea = 0
int | usestatusarea = 0
Protected Attributes inherited from WxAppShell
| _logWin = None

## Detailed Description

     Class for Panda3D LevelEditor

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | editor )

## Member Function Documentation

## ◆ bindKeyEvents()

bindKeyEvents | ( |  | self,
|  |  | toBind = True )

## ◆ buildContextMenu()

buildContextMenu | ( |  | self,
|  |  | nodePath )

## ◆ createInterface()

createInterface | ( |  | self | ) |

Reimplemented from WxPandaShell.

## ◆ createMenu()

createMenu | ( |  | self | ) |

Reimplemented from WxPandaShell.

## ◆ onAnimation()

onAnimation | ( |  | self,
|  |  | e )

## ◆ onCreateCurve()

onCreateCurve | ( |  | self,
|  |  | e )

    Function to invoke curve creating, need to check previous mode

## ◆ onCurveAnim()

onCurveAnim | ( |  | self,
|  |  | e )

## ◆ onDestroy()

onDestroy | ( |  | self,
|  |  | evt )

Reimplemented from WxAppShell.

## ◆ onDuplicate()

onDuplicate | ( |  | self,
|  |  | evt )

## ◆ onEditCurve()

onEditCurve | ( |  | self,
|  |  | e )

    Function to invoke curve editing and translate global information to local information. Need to check previous mode

## ◆ onExportToMaya()

onExportToMaya | ( |  | self,
|  |  | evt )

## ◆ onGraphEditor()

onGraphEditor | ( |  | self,
|  |  | e )

## ◆ onGridSize()

onGridSize | ( |  | self,
|  |  | evt )

## ◆ onHotKeys()

onHotKeys | ( |  | self,
|  |  | evt )

## ◆ onKeyDownEvent()

onKeyDownEvent | ( |  | self,
|  |  | evt )

## ◆ onKeyEvent()

onKeyEvent | ( |  | self,
|  |  | evt )

## ◆ onKeyUpEvent()

onKeyUpEvent | ( |  | self,
|  |  | evt )

## ◆ onMakeLive()

onMakeLive | ( |  | self,
|  |  | evt )

## ◆ onNew()

onNew | ( |  | self,
|  |  | evt = None )

## ◆ onOpen()

onOpen | ( |  | self,
|  |  | evt = None )

## ◆ onRightDown()

onRightDown | ( |  | self,
|  |  | evt = None )

    Invoked when the viewport is right-clicked.

## ◆ onSave()

onSave | ( |  | self,
|  |  | evt = None )

## ◆ onSaveAs()

onSaveAs | ( |  | self,
|  |  | evt )

## ◆ onShowPandaObjects()

onShowPandaObjects | ( |  | self,
|  |  | evt )

## ◆ replaceObject()

replaceObject | ( |  | self,
|  |  | evt,
|  |  | all = False )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ toggleGrid()

toggleGrid | ( |  | self,
|  |  | evt )

## ◆ toggleGridSnap()

toggleGridSnap | ( |  | self,
|  |  | evt )

## ◆ updateGrids()

updateGrids | ( |  | self,
|  |  | newSize,
|  |  | newSpacing )

## ◆ updateMenu()

updateMenu | ( |  | self | ) |

## Member Data Documentation

## ◆ animUI

animUI = AnimControlUI(self, self.editor)

## ◆ contextMenu

contextMenu = ViewportMenu()

## ◆ createCurveMenuItem

createCurveMenuItem = self.menuCurve.Append(ID_CREATE_CURVE, self.MENU_TEXTS[ID_CREATE_CURVE][0], kind = wx.ITEM_CHECK)

## ◆ curveAnimMenuItem

curveAnimMenuItem = self.menuCurve.Append(ID_CURVE_ANIM, self.MENU_TEXTS[ID_CURVE_ANIM][0], kind = wx.ITEM_CHECK)

## ◆ curveAnimUI

curveAnimUI = CurveAnimUI(self, self.editor)

## ◆ curveObj

curveObj = self.editor.objectMgr.findObjectByNodePath(base.direct.selected.last)

## ◆ editAnimMenuItem

editAnimMenuItem = self.menuAnim.Append(ID_ANIM, self.MENU_TEXTS[ID_ANIM][0], kind = wx.ITEM_CHECK)

## ◆ editCurveMenuItem

editCurveMenuItem = self.menuCurve.Append(ID_EDIT_CURVE, self.MENU_TEXTS[ID_EDIT_CURVE][0], kind = wx.ITEM_CHECK)

## ◆ editor

editor = editor

## ◆ graphEditorMenuItem

graphEditorMenuItem = self.menuAnim.Append(ID_GRAPH, self.MENU_TEXTS[ID_GRAPH][0], kind = wx.ITEM_CHECK)

## ◆ graphEditorUI

graphEditorUI = GraphEditorUI(self, self.editor, currentObj)

## ◆ gridSizeMenuItem

gridSizeMenuItem = self.menuOptions.Append(ID_GRID_SIZE, self.MENU_TEXTS[ID_GRID_SIZE][0])

## ◆ gridSnapMenuItem

gridSnapMenuItem = self.menuOptions.Append(ID_GRID_SNAP, self.MENU_TEXTS[ID_GRID_SNAP][0], kind = wx.ITEM_CHECK)

## ◆ hotKeysMenuItem

hotKeysMenuItem = self.menuOptions.Append(ID_HOT_KEYS, self.MENU_TEXTS[ID_HOT_KEYS][0])

## ◆ layerEditorUI

layerEditorUI = LayerEditorUI(self.rightBarDownPane0, self.editor)

## ◆ leftBarDownNB

leftBarDownNB = wx.Notebook(self.leftBarDownPane)

## ◆ leftBarDownPane0

leftBarDownPane0 = wx.Panel(self.leftBarDownNB, -1)

## ◆ leftBarUpNB

leftBarUpNB = wx.Notebook(self.leftBarUpPane, style=wx.NB_BOTTOM)

## ◆ leftBarUpPane0

leftBarUpPane0 = wx.Panel(self.leftBarUpNB, -1)

## ◆ leftBarUpPane1

leftBarUpPane1 = wx.Panel(self.leftBarUpNB, -1)

## ◆ menuAnim

menuAnim = wx.Menu()

## ◆ menuCurve

menuCurve = wx.Menu()

## ◆ menuEdit

menuEdit = wx.Menu()

## ◆ menuOptions

menuOptions = wx.Menu()

## ◆ objectPaletteUI

objectPaletteUI = ObjectPaletteUI(self.leftBarUpPane0, self.editor)

## ◆ objectPropertyUI

objectPropertyUI = ObjectPropertyUI(self.rightBarUpPane, self.editor)

## ◆ onAnimation

onAnimation

## ◆ onCreateCurve

onCreateCurve

## ◆ onCurveAnim

onCurveAnim

## ◆ onDuplicate

onDuplicate = self.menuEdit.Append(ID_DUPLICATE, self.MENU_TEXTS[ID_DUPLICATE][0])

## ◆ onEditCurve

onEditCurve

## ◆ onExportToMaya

onExportToMaya = self.menuFile.Insert(4, ID_EXPORT_TO_MAYA, self.MENU_TEXTS[ID_EXPORT_TO_MAYA][0])

## ◆ onGraphEditor

onGraphEditor

## ◆ onGridSize

onGridSize

## ◆ onHotKeys

onHotKeys

## ◆ onKeyDownEvent

onKeyDownEvent

## ◆ onKeyEvent

onKeyEvent

## ◆ onKeyUpEvent

onKeyUpEvent

## ◆ onMakeLive

onMakeLive = self.menuEdit.Append(ID_MAKE_LIVE, self.MENU_TEXTS[ID_MAKE_LIVE][0])

## ◆ onNew

onNew

## ◆ onOpen

onOpen = self.menuFile.Insert(1, ID_OPEN, self.MENU_TEXTS[ID_OPEN][0])

## ◆ onSave

onSave = self.menuFile.Insert(2, ID_SAVE, self.MENU_TEXTS[ID_SAVE][0])

## ◆ onSaveAs

onSaveAs = self.menuFile.Insert(3, ID_SAVE_AS, self.MENU_TEXTS[ID_SAVE_AS][0])

## ◆ onShowPandaObjects

onShowPandaObjects

## ◆ parentToSelectedMenuItem

parentToSelectedMenuItem = self.menuOptions.Append(ID_PARENT_TO_SELECTED, self.MENU_TEXTS[ID_PARENT_TO_SELECTED][0], kind = wx.ITEM_CHECK)

## ◆ protoPaletteUI

protoPaletteUI = ProtoPaletteUI(self.leftBarUpPane1, self.editor)

## ◆ rightBarDownNB

rightBarDownNB = wx.Notebook(self.rightBarDownPane)

## ◆ rightBarDownPane0

rightBarDownPane0 = wx.Panel(self.rightBarDownNB, -1)

## ◆ sceneGraphUI

sceneGraphUI = SceneGraphUI(self.leftBarDownPane0, self.editor)

## ◆ showGridMenuItem

showGridMenuItem = self.menuOptions.Append(ID_SHOW_GRID, self.MENU_TEXTS[ID_SHOW_GRID][0], kind = wx.ITEM_CHECK)

## ◆ showPandaObjectsMenuItem

showPandaObjectsMenuItem = self.menuOptions.Append(ID_SHOW_PANDA_OBJECT, self.MENU_TEXTS[ID_SHOW_PANDA_OBJECT][0], kind = wx.ITEM_CHECK)

## ◆ toggleGrid

toggleGrid

## ◆ toggleGridSnap

toggleGridSnap